Bug 522776 - SHA256: dbchange for rhnPackageSource multiple checksum support
Summary: SHA256: dbchange for rhnPackageSource multiple checksum support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other
Version: RHN Stable
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Sebastian Skracic
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 519193 rhn-sprint31
TreeView+ depends on / blocked
 
Reported: 2009-09-11 11:42 UTC by Sebastian Skracic
Modified: 2010-03-18 12:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:49:12 UTC


Attachments (Terms of Use)

Description Sebastian Skracic 2009-09-11 11:42:55 UTC
rhnPackageSource has to support multiple checksums per (source) package.

Comment 1 Sebastian Skracic 2009-09-17 12:20:27 UTC
On WEBDEV database.

Comment 2 Sebastian Skracic 2009-09-21 11:49:18 UTC
Test Case #1:

Verify columns and data in rhnPackageSourceChecksum

SQL> desc rhnpackagesourcechecksum
 Name                                      Null?    Type
 ----------------------------------------- -------- ----------------------------
 PACKAGE_ID                                NOT NULL NUMBER
 CHECKSUM_TYPE_ID                          NOT NULL NUMBER
 CHECKSUM                                  NOT NULL VARCHAR2(128)


Test Case #2:

Verify md5sum column has been dropped from rhnPackageSource table:

SQL> desc rhnpackagesource
...

EXPECTED: MD5SUM column should not appear.

Test Case #3:

Verify sample data in rhnPackageSourceChecksum:

SQL> select * from rhnPackageSourceChecksum where rownum < 5;

... should output 4 rows


Note You need to log in before you can comment on or make changes to this bug.